<?php

return [

    /**
     * OAuth model
     */
    'model' => \App\User::class,

    /**
     * Route that redirects to Bluesquare Connect
     */
    'login_url' => '/oauth/authorize',

    /**
     * OAuth callback URL
     */
    'redirect_url' => env('BCONNECT_REDIRECT', 'http://localhost:8000/oauth/callback'),

    /**
     * OAuth client id
     */
    'client_id' => env('BCONNECT_CLIENT_ID', null),

    /**
     * OAuth client secret
     */
    'client_secret' => env('BCONNECT_CLIENT_SECRET', null),

    /**
     * OAuth scopes (separated with commas)
     */
    'user_scopes' => '*',
    'client_scopes' => '*',

    /**
     * Bluesquare Connect URL
     */
    'url' => env('BCONNECT_URL', null),
];
